View Issue Details

IDProjectCategoryView StatusLast Update
0000126OpenMPT[All Projects] Feature Requestpublic2016-11-05 00:41
ReporterjmkzAssigned ToSaga Musix 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000126: Undo for instrument settings
Description

Instrument envelope points and scale points are not undoable, I guess undo works better for scale points rather than individual point moving. (?)

Steps To Reproduce

In a previously created or loaded instrument, scale or move envelope points.
Undo shortcut are not available to undo last steps.

TagsNo tags attached.
Has the bug occurred in previous versions?Not tested yet
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2011-05-12 05:45

administrator   ~0000193

I have turned this into a feature requests since, let's face it, no instrument actions are undoable at all.

Saga Musix

Saga Musix

2016-11-05 00:22

administrator   ~0002724

Implemented in r7339 / OpenMPT 1.27.00.20. Please let me know if you spot anything weird, like somethings not being undoable or such.

Issue History

Date Modified Username Field Change
2011-05-12 03:48 jmkz New Issue
2011-05-12 05:45 Saga Musix Note Added: 0000193
2011-05-12 05:45 Saga Musix Category User Interface => Feature Request
2011-05-12 05:45 Saga Musix OS Windows =>
2011-05-12 05:45 Saga Musix OS Version 7 =>
2011-05-12 05:45 Saga Musix Platform x64 =>
2011-05-12 05:45 Saga Musix Product Version OpenMPT 1.19.01.00 (upgrade first) =>
2011-05-12 05:45 Saga Musix Summary Instrument envelope points and scale points are not undoable => Undo for instrument settings
2016-11-03 00:16 Saga Musix Assigned To => Saga Musix
2016-11-03 00:16 Saga Musix Status new => assigned
2016-11-03 00:16 Saga Musix Target Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2016-11-05 00:22 Saga Musix Status assigned => feedback
2016-11-05 00:22 Saga Musix Note Added: 0002724
2016-11-05 00:41 Saga Musix Status feedback => resolved
2016-11-05 00:41 Saga Musix Resolution open => fixed
2016-11-05 00:41 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)